<nz-page-header nzBackIcon [nzTitle]="'Common.Extra.Support.titleTicket' | translate: { ticketId: ticket?.id }">
</nz-page-header>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <div nz-row nzType="flex" nzJustify="space-around" style="text-align: center">
    <div nz-col nzSpan="8">
      {{ "Common.Extra.Support.Status" | translate }}: <b>{{ ticket?.status?.symbol }}</b>
    </div>
    <div nz-col nzSpan="8">
      {{ "Common.Extra.Support.Category" | translate }}: <b>{{ ticket?.type?.symbol }}</b>
    </div>
  </div>
  <hr />
  <h4>{{'Social.Title' | translate }}: {{ ticket?.title }}</h4>
  <hr />
  <span [innerHtml]="ticket?.description"></span>
</nz-spin>

<app-view-comments *ngIf="ticket" [issueId]="ticket.id"></app-view-comments>

<!-- <nz-card nzTitle="Comments">
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoadingComments">
    <nz-list
      *ngIf="comments.length"
      [nzDataSource]="comments"
      [nzRenderItem]="item"
      [nzItemLayout]="'horizontal'"
    >
      <ng-template #item let-item>
        <nz-comment
          [nzAuthor]="item.author"
          nzDatetime="{{ item.createdOn }}"
        >
          <nz-comment-content>
            <p [innerHtml]="item.description"></p>
          </nz-comment-content>
        </nz-comment>
      </ng-template>
    </nz-list>
    <nz-comment>
      <nz-comment-content>
        <nz-form-item>
          <textarea [(ngModel)]="commentValue" nz-input rows="4"></textarea>
        </nz-form-item>
        <nz-form-item>
          <button
            nz-button
            nzType="primary"
            [nzLoading]="isLoadingComments"
            [disabled]="!commentValue"
            (click)="postComment()"
          >
          {{ "Social.Community.AddComment" | translate }}
          </button>
        </nz-form-item>
      </nz-comment-content>
    </nz-comment> -->
<!--
  </nz-spin>
</nz-card> -->
